<?php
/**************************************************
  Coppermine 1.4.x plugin - Gallery Directory
  *************************************************
  Copyright (c) wirewolf
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
  **************************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');
require ('plugins/cat_directory/include/init.inc.php');


// User menus , (fixed by Sami)
$thisplugin->add_action('page_start','cat_directory_page_start');

// create button template from current sys menu template (added by Sami)
function cat_directory_add_admin_button($href,$title,$target,$link)
{
  global $template_sys_menu, $template_sys_menu_spacer;
require ('plugins/cat_directory/include/init.inc.php');
  $new_template=$template_sys_menu;
  $button=template_extract_block($new_template,'faq');
  
   $params = array(
      '{FAQ_LNK}' => $target,
      '{FAQ_TITLE}' => $title,
      '{FAQ_TGT}' => $href,
      'faq' => $link,
   );
   $new_button="<!-- BEGIN $link -->".template_eval($button,$params)."<!-- END $link -->\n";
   template_extract_block($template_sys_menu,'faq',"<!-- BEGIN faq -->" . $button . "<!-- END faq -->\n" .$new_button);
}

// Add cat_directory button after home under sys menu (added by Sami)
function cat_directory_page_start()
{
  
  	global $template_sys_menu, $template_sys_menu_spacer, $template_sys_menu_button, $sys_menu_buttons;
    global $CONFIG, $lang_plugin_cat_directory;

    require ('plugins/cat_directory/include/init.inc.php');
  	  	
  	cat_directory_add_admin_button('index.php?file=cat_directory/cat_directory',$lang_plugin_cat_directory['menu_link'],$lang_plugin_cat_directory['menu_link'],$lang_plugin_cat_directory['menu_link']);
}

?>